Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005239TestLinkReportspublic2012-09-20 09:272014-08-19 19:54
Reporterdenjolras 
Assigned Tofman 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0005239: General Test Plan Metrics page blank
DescriptionI see multiple Mantis issue related to a General Test Plan Metrics.
I guess mine is a new one.
it's appears in 1.9.4, Fix is "simple":

in lib/functions/testplan.class.php
replace
 usort($finalset, array("testplan", "compare_name"));
by
 usort($finalset, array("testplan", "this->compare_name"));


ps: log were :

Non-static method testplan::compare_name() cannot be called statically, assuming $this from compatible context tlTes tPlanMetrics - in /DT/testlink/www/testlink-1.9.4/lib/functions/testplan.class.php - Line 1773
Steps To Reproducefor me, it was just after an update in 1.9.4
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0017512)
fman (administrator)
2012-09-20 10:12

1. >> I see multiple Mantis issue related to a General Test Plan Metrics.
this comment has absolutely => avoid


2. we need detailed steps to reproduce, because in my env I've no this issue.
>> for me, it was just after an update in 1.9.4
have you tried with a FRESH INSTALL ?

In addition PHP version can be critic
(0017517)
denjolras (reporter)
2012-09-20 18:17

I've untar all binary in a new directory, so I've reuse the existing mysql.
Not sure if a fresh install including a fresh DB is needed ?

I've also installed all 1.9.4 hotfixes.

Here is my config:

[root@testplan ~]# uname -a
Linux testplan.home 2.6.18-194.26.1.el5 #1 SMP Tue Nov 9 12:54:40 EST 2010 i686 i686 i386 GNU/Linux
[root@testplan ~]# more /etc/*release
CentOS release 5.8 (Final)
[root@testplan ~]# yum list | grep php | grep installed
php.i386 5.2.10-1.el5.centos installed
php-cli.i386 5.2.10-1.el5.centos installed
php-common.i386 5.2.10-1.el5.centos installed
php-gd.i386 5.2.10-1.el5.centos installed
php-ldap.i386 5.2.10-1.el5.centos installed
php-mysql.i386 5.2.10-1.el5.centos installed
php-pdo.i386 5.2.10-1.el5.centos installed
[root@testplan ~]# yum update php*
...
No Packages marked for Update
[root@testplan ~]#
(0017536)
fman (administrator)
2012-09-21 20:29
edited on: 2012-09-21 20:34

issue is
http://stackoverflow.com/questions/6053994/using-usort-in-php-with-a-class-private-function [^]

We have SAME CODE ON 1.9.3 => this error has nothing to do with 1.9.4, but probably with PHP versions


- Issue History
Date Modified Username Field Change
2012-09-20 09:27 denjolras New Issue
2012-09-20 10:12 fman Note Added: 0017512
2012-09-20 18:17 denjolras Note Added: 0017517
2012-09-21 20:29 fman Note Added: 0017536
2012-09-21 20:34 fman Note Edited: 0017536 View Revisions
2014-08-19 19:54 fman Status new => closed
2014-08-19 19:54 fman Assigned To => fman
2014-08-19 19:54 fman Resolution open => fixed
2014-08-19 19:54 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker